Index: ttf.cpp
--- ttf.cpp.orig	2002-11-07 06:30:04.000000000 +0100
+++ ttf.cpp	2003-11-07 21:02:17.000000000 +0100
@@ -226,7 +226,7 @@
 	for (i = 0; i < n; i++) {
 	    if ((fterror = FT_Get_Sfnt_Name (face, i, &NamePtr)) != FT_Err_Ok) {
                     std::cout << "Warning: Can't SFNT name : " << FileName << "(" << fterror << ")" << std::endl;
-	            return;
+	            return "unknown";
             };
             platform = NamePtr.platform_id;
             encoding = NamePtr.encoding_id;
Index: ttf.h
--- ttf.h.orig	2002-11-07 06:28:44.000000000 +0100
+++ ttf.h	2003-11-07 21:02:17.000000000 +0100
@@ -8,7 +8,7 @@
 #include "freetype/ftsnames.h"
 #include "freetype/ttnameid.h"
 #include "freetype/fterrors.h"
-#include "freetype/ftmodule.h"
+#include "freetype/ftmodapi.h"
 
 #include "util.h"
 #include "encoding.h"
Index: Makefile
--- Makefile.orig	2002-11-07 06:28:44.000000000 +0100
+++ Makefile	2003-11-07 21:08:12.000000000 +0100
@@ -1,25 +1,22 @@
-FREETYPE_BASE=/usr/include/freetype2
-FREETYPE_INCL=-I$(FREETYPE_BASE)/.
-FREETYPE_LIB=/usr/lib/libfreetype.so
-
-DEBUG=-ggdb
-CXX=g++
-CXXFLAGS=-Wall -pedantic $(FREETYPE_INCL) $(DEBUG)
 
-LDFLAGS=$(FREETYPE_LIB) $(DEBUG)
+FREETYPE_INCDIR = /cw/include
+FREETYPE_LIBDIR = /cw/lib
+
+CXX          = g++
+CXXFLAGS     = -I$(FREETYPE_INCDIR)
+LDFLAGS      = -L$(FREETYPE_LIBDIR)
+LIBS         = -lfreetype -lz -lgetopt
 
 .PHONY: clean
 
 all: ttmkfdir
 
-.cpp.o:
-	libtool --mode=compile $(CXX) $(CXXFLAGS) -o $@ -c $^
-
 ttmkfdir: ttmkfdir.o directory.o commandline.o ttf.o encoding.o parser.o builtin.o
-	libtool --mode=link $(CXX) -o $@ $^ $(LDFLAGS)
+	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 parser.cpp: encoding.l
-	    flex -i -8 -o$@ $<
+	flex -i -8 -o$@ $<
 
 clean:
 	-rm -f *.o *~ ttmkfdir core parser.cpp
+
